Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.dto
Class BaseDTO

    java.lang.Object
      com.jaspersoft.jasperserver.war.dto.BaseDTO

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DataTypeWrapper, FileResourceWrapper, InputControlWrapper, ListOfValuesDTO, MondrianXmlaSourceWrapper, OlapClientConnectionWrapper, OlapDataSourceWrapper, OlapUnitWrapper, QueryWrapper, ReportDataSourceWrapper, ReportUnitWrapper, RoleWrapper, UserWrapper

    public class BaseDTO

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static byte` | `MODE_STAND_ALONE_EDIT`
`static byte` | `MODE_STAND_ALONE_NEW`
`static byte` | `MODE_SUB_FLOW_EDIT`
`static byte` | `MODE_SUB_FLOW_NEW`

Constructor Summary
`BaseDTO()`

Method Summary
`byte` | `getMode()`
`boolean` | `isAloneEditMode()`
`boolean` | `isAloneNewMode()`
`boolean` | `isEditMode()`
`boolean` | `isNewMode()`
`boolean` | `isStandAloneMode()`
`boolean` | `isSubEditMode()`
`boolean` | `isSubflowMode()`
`boolean` | `isSubNewMode()`
`void` | `setMode(byte mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_STAND_ALONE_NEW

    public static final byte MODE_STAND_ALONE_NEW

See Also:
  Constant Field Values

### MODE_STAND_ALONE_EDIT

    public static final byte MODE_STAND_ALONE_EDIT

See Also:
  Constant Field Values

### MODE_SUB_FLOW_NEW

    public static final byte MODE_SUB_FLOW_NEW

See Also:
  Constant Field Values

### MODE_SUB_FLOW_EDIT

    public static final byte MODE_SUB_FLOW_EDIT

See Also:
  Constant Field Values

Constructor Detail

### BaseDTO

    public BaseDTO()

Method Detail

### getMode

    public byte getMode()

### setMode

    public void setMode(byte mode)

### isEditMode

    public boolean isEditMode()

### isNewMode

    public boolean isNewMode()

### isStandAloneMode

    public boolean isStandAloneMode()

### isSubflowMode

    public boolean isSubflowMode()

### isSubEditMode

    public boolean isSubEditMode()

### isSubNewMode

    public boolean isSubNewMode()

### isAloneEditMode

    public boolean isAloneEditMode()

### isAloneNewMode

    public boolean isAloneNewMode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.